STKLOS-CONFIG(1)

NAME
stklos-config - stklos libraries and component information retrieval.

DESCRIPTION
The stklos-config permits to obtain informations about the stklos version installed on a system. The values returned by this command are hard-coded when the system is configured.

OPTIONS
Here are the options available in the version 1.10 of stklos.

--prefix | -p
    Prefix that was given during the build.

--version | -v
    The version of STklos that is installed.

--compile | -c
    The command that should be run to compile shared libraries.

--link | -l
    The command that should be used to link shared libraries.

--cflags
    Value of CFLAGS used to compile STklos

--ldlags
    Value of LDFLAGS used to compile STklos

--shared-suffix | -s
    The suffix for shared libraries.

--threads | -t
    The name thread system compiled in stklos.

--libraries | -L
    Display informations on the libraries which are compiled and the one which are used when the system was compiled

--help | -h | -?
    Show a list of options

SEE ALSO
stklos(1) stklos-compile(1)